## telegram-purple 1.3.1

=== test/Makefile ===
PLUGIN_TESTS:=probetest loadtest
PLUGIN_TEST_BINS:=$(addprefix test/bin/,${PLUGIN_TESTS})

test/bin:
	mkdir -p $@

test/tmp/%:
	mkdir -p $@

test/bin/%: test/%.c test/bin bin/telegram-purple.so
	${CC} ${CFLAGS} ${CPPFLAGS} -I ${srcdir}/tgl -o $@ $< ${LDFLAGS}

.PHONY: ${PLUGIN_TESTS}
${PLUGIN_TESTS}: %: test/bin/% test/tmp/user
	$< bin/telegram-purple.so

.PHONY: check
check: ${PLUGIN_TESTS} test/tmp/user

.PHONY: recheck
recheck: clean-test check

.PHONY: clean-test
clean-test:
	rm -rf test/bin test/tmp

## telegram-purple 1.4.1

=== AppStream/Makefile ===
# This file is part of telegram-purple
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
#
# Copyright Ben Wiederhake 2016

# This file is NOT meant for inclusion into the main Makefile.

LOCALES=$(shell cat po/LINGUAS)
LOCALE_MOS=$(addprefix po/,$(addsuffix .mo,$(LOCALES)))
# Hardcoded, since this should only be run on very few machines anyway,
# which are expected to have msgfmt on their $PATH
MSGFMT_PATH=msgfmt

all: translate

po/%.mo: po/%.po
	${MSGFMT_PATH} -cf -o $@ $<

po/telegram-purple.metainfo.xml.pot: telegram-purple.metainfo.untranslated.xml as-metainfo.its
	itstool -i as-metainfo.its -o $@ $<

# CAREFUL WHEN EDITING!
# "-j raw.xml *.mo" must be the last options!
telegram-purple.metainfo.xml: as-metainfo.its telegram-purple.metainfo.untranslated.xml $(LOCALE_MOS) po/LINGUAS
	itstool -i as-metainfo.its -o $@ \
	        -j telegram-purple.metainfo.untranslated.xml $(LOCALE_MOS)

.PHONY: potfile
potfile: po/telegram-purple.metainfo.xml.pot

.PHONY: translate
translate: telegram-purple.metainfo.xml

=== debian/changelog ===
telegram-purple (1.4.1-1) unstable; urgency=low

  * Initial release.

 -- Dominik George <natureshadow@debian.org>  Tue, 21 May 2019 21:35:24 +0200

=== debian/control ===
Source: telegram-purple
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Build-Depends:
 debhelper (>= 11),
 libgcrypt20-dev,
 libglib2.0-dev,
 libpurple-dev,
 libwebp-dev,
 pkg-config,
 zlib1g-dev,
 libpng-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/majn/telegram-purple
Vcs-Git: https://salsa.debian.org/xmpp-team/telegram-purple.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/telegram-purple

Package: telegram-purple
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Purple plugin to support Telegram
 Plugin for purple which lets you use and manage your Telegram account
 like any other account in purple. Some features like self-destruct
 messages are currently in development.
 .
 The plugin can be used with the usual libpurple applications (e.g. Pidgin,
 Finch, Spectrum2, bitlbee,…).

## telegram-purple 1.4.3

=== AppStream/Makefile ===
--- 
+++ 
@@ -26,6 +26,24 @@
 
 all: translate
 
+# I fucked up some of the language codes.
+# Fixing it in Transifex would require me to recreate these groups,
+# deleting all old translations and potentially losing the translators.
+# This is ugly, but better than losing translators.
+# The space in the matching pattern excludes the "Language-Team:" field.
+
+po/de.po: po/de_DE.po
+	sed -re 's/ de_DE/ de/' $< > $@
+
+po/it.po: po/it_IT.po
+	sed -re 's/ it_IT/ it/' $< > $@
+
+po/pl.po: po/pl_PL.po
+	sed -re 's/ pl_PL/ pl/' $< > $@
+
+po/ru.po: po/ru_RU.po
+	sed -re 's/ ru_RU/ ru/' $< > $@
+
 po/%.mo: po/%.po
 	${MSGFMT_PATH} -cf -o $@ $<
 
@@ -43,3 +61,7 @@
 
 .PHONY: translate
 translate: telegram-purple.metainfo.xml
+
+.PHONY: clean
+clean:
+	rm -rf po/*.mo po/de.po po/it.po po/pl.po po/ru.po

=== test/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 .PHONY: check
 check: ${PLUGIN_TESTS} test/tmp/user
+	@echo "'make check' passed."
 
 .PHONY: recheck
 recheck: clean-test check

=== debian/changelog ===
telegram-purple (1.4.3-3ubuntu3) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 09:32:17 -0500

telegram-purple (1.4.3-3ubuntu2) groovy; urgency=medium

  * Back in sync with Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jun 2020 12:56:00 +0200

telegram-purple (1.4.3-3) unstable; urgency=high

  * Team upload.
  * Apply another bugfix from upstream
  * debhelper compat 13
  * Require debhelper that can handle long/wrapped Architecture lines

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 17 May 2020 20:07:25 +0200

telegram-purple (1.4.3-2) unstable; urgency=low

  * Team upload.
  * Add and forward another fix for GNU/Hurd
  * Limit architectures to little endian, see #958828 for background

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 27 Apr 2020 13:38:02 +0200

telegram-purple (1.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Update debhelper, Policy, R³:no, etc. and introduce hardening
  * Hopefully fix build on GNU/kFreeBSD and GNU/Hurd
  * Update lintian overrides and fix a few things pointed out by it
  * NOTE: This upload still FTBFS on big-endian platforms; this will
    be addressed later

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 25 Apr 2020 17:53:35 +0200

=== debian/control ===
Source: telegram-purple
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Build-Depends:
 debhelper-compat (= 13), debhelper (>= 13.1~),
 libgcrypt20-dev,
 libglib2.0-dev,
 libpurple-dev,
 libwebp-dev,
 pkg-config,
 zlib1g-dev,
 libpng-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/majn/telegram-purple
Vcs-Git: https://salsa.debian.org/xmpp-team/telegram-purple.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/telegram-purple

Package: telegram-purple
# see #958828; little endian (big: hppa m68k powerpc ppc64 s390x sparc64)
Architecture: alpha amd64 arm64 armel armhf hurd-i386 i386 ia64
 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el riscv64 sh4 x32
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Purple plugin to support Telegram
 Plugin for purple which lets you use and manage your Telegram account
 like any other account in purple. Some features like self-destruct
 messages are currently in development.
 .
 The plugin can be used with the usual libpurple applications (such as
 Pidgin, Finch, Spectrum2, bitlbee, …).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@
